in scala
object BigInt

`object` BigInt
  `extends` java.lang.Object
  `with` scala.ScalaObject

author:
  Martin Odersky
version:
  1.0, 15/07/2003

Constructor Summary
| `def` this

Def Summary
| `def` apply ( bitlength : scala.Int , certaInty : scala.Int , rnd : java.util.Random ) : scala.BigInt Constructs a randomly generated positive BigInt that is probably prime, with the specified bitLength.
| `def` apply ( i : scala.Int ) : scala.BigInt Constructs a BigInt whose value is equal to that of the specified integer value.
| `def` apply ( l : scala.Long ) : scala.BigInt Constructs a BigInt whose value is equal to that of the specified long value.
| `def` apply ( numbits : scala.Int , rnd : java.util.Random ) : scala.BigInt Constructs a randomly generated BigInt, uniformly distributed over the range 0 to (2 ^ numBits - 1), inclusive.
| `def` apply ( signum : scala.Int , magnitude : scala.Array[scala.Byte] ) : scala.BigInt Translates the sign-magnitude representation of a BigInt into a BigInt.
| `def` apply ( x : java.lang.String ) : scala.BigInt Translates the decimal String representation of a BigInt into a BigInt.
| `def` apply ( x : java.lang.String , radix : scala.Int ) : scala.BigInt Translates the String representation of a BigInt in the specified radix into a BigInt.
| `def` apply ( x : scala.Array[scala.Byte] ) : scala.BigInt Translates a byte array containing the two's-complement binary representation of a BigInt into a BigInt.
| `def` bigInt2ordered ( x : scala.BigInt ) : scala.Ordered[scala.BigInt] Implicit conversion from BigInt to Ordered
| `def` int2bigInt ( i : scala.Int ) : scala.BigInt Implicit conversion from int to BigInt
| `def` long2bigInt ( l : scala.Long ) : scala.BigInt Implicit copnversion from long to BigInt
| `def` probablePrime ( bitLength : scala.Int , rnd : java.util.Random ) : scala.BigInt Returns a positive BigInt that is probably prime, with the specified bitLength.

Constructor Detail

`def` this

Def Detail

`def` apply ( bitlength : scala.Int , certaInty : scala.Int , rnd : java.util.Random ) : scala.BigInt

  Constructs a randomly generated positive BigInt that is probably prime, with the specified bitLength.

`def` apply ( i : scala.Int ) : scala.BigInt

  Constructs a BigInt whose value is equal to that of the specified integer value.

`def` apply ( l : scala.Long ) : scala.BigInt

  Constructs a BigInt whose value is equal to that of the specified long value.

`def` apply ( numbits : scala.Int , rnd : java.util.Random ) : scala.BigInt

  Constructs a randomly generated BigInt, uniformly distributed over the range 0 to (2 ^ numBits - 1), inclusive.

`def` apply ( signum : scala.Int , magnitude : scala.Array[scala.Byte] ) : scala.BigInt

  Translates the sign-magnitude representation of a BigInt into a BigInt.

`def` apply ( x : java.lang.String ) : scala.BigInt

  Translates the decimal String representation of a BigInt into a BigInt.

`def` apply ( x : java.lang.String , radix : scala.Int ) : scala.BigInt

  Translates the String representation of a BigInt in the specified radix into a BigInt.

`def` apply ( x : scala.Array[scala.Byte] ) : scala.BigInt

  Translates a byte array containing the two's-complement binary representation of a BigInt into a BigInt.

`def` bigInt2ordered ( x : scala.BigInt ) : scala.Ordered[scala.BigInt]

  Implicit conversion from BigInt to Ordered

`def` int2bigInt ( i : scala.Int ) : scala.BigInt

  Implicit conversion from int to BigInt

`def` long2bigInt ( l : scala.Long ) : scala.BigInt

  Implicit copnversion from long to BigInt

`def` probablePrime ( bitLength : scala.Int , rnd : java.util.Random ) : scala.BigInt

  Returns a positive BigInt that is probably prime, with the specified bitLength.